import { AccountInfo, ActionEvent, CreateGlobalTagRequest, CreateGlobalTagResponse, CreateTagForAccountRequest, CreateTagForAccountResponse, CreateTagRequest, CreateTagResponse, CursorPaging, CursorPagingMetadata, CursorQuery, Cursors, DeleteGlobalTagRequest, DeleteGlobalTagResponse, DeleteTagForAccountRequest, DeleteTagForAccountResponse, DeleteTagRequest, DeleteTagResponse, DomainEvent, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, GetGlobalTagRequest, GetGlobalTagResponse, GetTagForAccountRequest, GetTagForAccountResponse, GetTagRequest, GetTagResponse, IdentificationData, ListGlobalTagsRequest, ListGlobalTagsResponse, ListTagsForAccountRequest, ListTagsForAccountResponse, ListTagsRequest, ListTagsResponse, MessageEnvelope, MigrateTagRequest, MigrateTagResponse, QueryTagsForAccountRequest, QueryTagsForAccountResponse, QueryTagsRequest, QueryTagsResponse, RestoreInfo, Sorting, SortOrder, Tag, TagExposure, UpdateGlobalTagRequest, UpdateGlobalTagResponse, UpdateTagForAccountRequest, UpdateTagForAccountResponse, UpdateTagRequest, UpdateTagResponse, WebhookIdentityType } from './types.impl.js';
export declare function aAccountInfo(overrideObject?: Partial<AccountInfo>): AccountInfo;
export declare function aIdentificationData(overrideObject?: Partial<IdentificationData>): IdentificationData;
export declare function aWebhookIdentityType(enumFirstItem?: WebhookIdentityType): WebhookIdentityType;
export declare function aMessageEnvelope(overrideObject?: Partial<MessageEnvelope>): MessageEnvelope;
export declare function aActionEvent(overrideObject?: Partial<ActionEvent>): ActionEvent;
export declare function aDomainEvent(overrideObject?: Partial<DomainEvent>): DomainEvent;
export declare function aEntityCreatedEvent(overrideObject?: Partial<EntityCreatedEvent>): EntityCreatedEvent;
export declare function aEntityDeletedEvent(overrideObject?: Partial<EntityDeletedEvent>): EntityDeletedEvent;
export declare function aEntityUpdatedEvent(overrideObject?: Partial<EntityUpdatedEvent>): EntityUpdatedEvent;
export declare function aRestoreInfo(overrideObject?: Partial<RestoreInfo>): RestoreInfo;
export declare function aCreateGlobalTagRequest(overrideObject?: Partial<CreateGlobalTagRequest>): CreateGlobalTagRequest;
export declare function aCreateGlobalTagResponse(overrideObject?: Partial<CreateGlobalTagResponse>): CreateGlobalTagResponse;
export declare function aCreateTagForAccountRequest(overrideObject?: Partial<CreateTagForAccountRequest>): CreateTagForAccountRequest;
export declare function aCreateTagForAccountResponse(overrideObject?: Partial<CreateTagForAccountResponse>): CreateTagForAccountResponse;
export declare function aCreateTagRequest(overrideObject?: Partial<CreateTagRequest>): CreateTagRequest;
export declare function aCreateTagResponse(overrideObject?: Partial<CreateTagResponse>): CreateTagResponse;
export declare function aDeleteGlobalTagRequest(overrideObject?: Partial<DeleteGlobalTagRequest>): DeleteGlobalTagRequest;
export declare function aDeleteGlobalTagResponse(overrideObject?: Partial<DeleteGlobalTagResponse>): DeleteGlobalTagResponse;
export declare function aDeleteTagForAccountRequest(overrideObject?: Partial<DeleteTagForAccountRequest>): DeleteTagForAccountRequest;
export declare function aDeleteTagForAccountResponse(overrideObject?: Partial<DeleteTagForAccountResponse>): DeleteTagForAccountResponse;
export declare function aDeleteTagRequest(overrideObject?: Partial<DeleteTagRequest>): DeleteTagRequest;
export declare function aDeleteTagResponse(overrideObject?: Partial<DeleteTagResponse>): DeleteTagResponse;
export declare function aGetGlobalTagRequest(overrideObject?: Partial<GetGlobalTagRequest>): GetGlobalTagRequest;
export declare function aGetGlobalTagResponse(overrideObject?: Partial<GetGlobalTagResponse>): GetGlobalTagResponse;
export declare function aGetTagForAccountRequest(overrideObject?: Partial<GetTagForAccountRequest>): GetTagForAccountRequest;
export declare function aGetTagForAccountResponse(overrideObject?: Partial<GetTagForAccountResponse>): GetTagForAccountResponse;
export declare function aGetTagRequest(overrideObject?: Partial<GetTagRequest>): GetTagRequest;
export declare function aGetTagResponse(overrideObject?: Partial<GetTagResponse>): GetTagResponse;
export declare function aListGlobalTagsRequest(overrideObject?: Partial<ListGlobalTagsRequest>): ListGlobalTagsRequest;
export declare function aListGlobalTagsResponse(overrideObject?: Partial<ListGlobalTagsResponse>): ListGlobalTagsResponse;
export declare function aListTagsForAccountRequest(overrideObject?: Partial<ListTagsForAccountRequest>): ListTagsForAccountRequest;
export declare function aListTagsForAccountResponse(overrideObject?: Partial<ListTagsForAccountResponse>): ListTagsForAccountResponse;
export declare function aListTagsRequest(overrideObject?: Partial<ListTagsRequest>): ListTagsRequest;
export declare function aListTagsResponse(overrideObject?: Partial<ListTagsResponse>): ListTagsResponse;
export declare function aMigrateTagRequest(overrideObject?: Partial<MigrateTagRequest>): MigrateTagRequest;
export declare function aMigrateTagResponse(overrideObject?: Partial<MigrateTagResponse>): MigrateTagResponse;
export declare function aQueryTagsForAccountRequest(overrideObject?: Partial<QueryTagsForAccountRequest>): QueryTagsForAccountRequest;
export declare function aQueryTagsForAccountResponse(overrideObject?: Partial<QueryTagsForAccountResponse>): QueryTagsForAccountResponse;
export declare function aQueryTagsRequest(overrideObject?: Partial<QueryTagsRequest>): QueryTagsRequest;
export declare function aQueryTagsResponse(overrideObject?: Partial<QueryTagsResponse>): QueryTagsResponse;
export declare function aTag(overrideObject?: Partial<Tag>): Tag;
export declare function aTagExposure(enumFirstItem?: TagExposure): TagExposure;
export declare function aUpdateGlobalTagRequest(overrideObject?: Partial<UpdateGlobalTagRequest>): UpdateGlobalTagRequest;
export declare function aUpdateGlobalTagResponse(overrideObject?: Partial<UpdateGlobalTagResponse>): UpdateGlobalTagResponse;
export declare function aUpdateTagForAccountRequest(overrideObject?: Partial<UpdateTagForAccountRequest>): UpdateTagForAccountRequest;
export declare function aUpdateTagForAccountResponse(overrideObject?: Partial<UpdateTagForAccountResponse>): UpdateTagForAccountResponse;
export declare function aUpdateTagRequest(overrideObject?: Partial<UpdateTagRequest>): UpdateTagRequest;
export declare function aUpdateTagResponse(overrideObject?: Partial<UpdateTagResponse>): UpdateTagResponse;
export declare function aCursorPaging(overrideObject?: Partial<CursorPaging>): CursorPaging;
export declare function aCursorPagingMetadata(overrideObject?: Partial<CursorPagingMetadata>): CursorPagingMetadata;
export declare function aCursorQuery(overrideObject?: Partial<CursorQuery>): CursorQuery;
export declare function aCursors(overrideObject?: Partial<Cursors>): Cursors;
export declare function aSorting(overrideObject?: Partial<Sorting>): Sorting;
export declare function aSortOrder(enumFirstItem?: SortOrder): SortOrder;
export * from '@wix/metro-common-builders';
